{
  "custom": {},
  "params": {},
  "props": {
    "defaultSize": {
      "height": 1080,
      "width": 400
    }
  },
  "root": {
    "children": [
      {
        "custom": {
          "params": {},
          "path": "value"
        },
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "props.params.params": {
            "binding": {
              "config": {
                "path": "this.custom.params"
              },
              "type": "property"
            }
          },
          "props.path": {
            "binding": {
              "config": {
                "path": "this.custom.path"
              },
              "type": "property"
            }
          }
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "select-side-view",
              "pageScope": true,
              "script": "\t# implement your handler here\n\tself.custom.path \u003d payload.get(\"path\")\n\tself.custom.params \u003d payload.get(\"params\")\n\tsystem.perspective.print(payload)\n\t",
              "sessionScope": true,
              "viewScope": false
            }
          ]
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}